Skip to main content

Add agent profile to tenant

POST 

/qsystem/rest/config/tenant/:tenantId/agentprofile

Add agent profile to tenant. The attributes in the request body are optional but can be used to specify the type of agent profile The attribute agentProfileSuffix can be set to the following values

  • agentProfileSuffix":"cloud"
  • agentProfileSuffix":"hub"
  • agentProfileSuffix":"hub_first_gen"
  • agentProfileSuffix":""

cloud, hub or hub_first_gen or empty. Cloud is the default value

The attribute agentProfileVersion can be set to other version the current central version:

  • "agentProfileVersion":"4.4.0.171"

If not provided or empty the latest central version will be used.

This can only be performed by superadmin.

curl -u user:password -i -X POST -H 'content-type:application/json' -d '{
"agentProfileSuffix":"cloud",
"agentProfileVersion":"4.4.0.171"
}'
http://orchestra-host:orchestra-port/qsystem/rest/config/tenant/{tenantId}/agentprofile

Request​

Responses​